2

I installed Intellij IDEA from on my arch using yay. I worked fine but recently it started doing this:

john@arch-thinkpad ~ [1]> intellij-idea-ultimate-edition
Unrecognized VM option 'UseConcMarkSweepGC'
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.

How can I fix this problem so I can run intellij IDEA normaly like in good old times ?
Thank you for help

4

You can switch to java-11. Intellij calls the vm with an option that is no longer supported by java 15.

If you start Intellij via terminal (and java 11) it shows you that message:

OpenJDK 64-Bit Server VM warning: Option UseConcMarkSweepGC was deprecated in version 9.0 and will likely be removed in a future release.

For now this workaround works. Remember to change the Java version in arch with archlinux-java.

Install java 11:

$sudo pacman -S jdk11-openjdk

Switch to java 11:

$sudo archlinux-java set java-11-openjdk
1
  • 1
    Thank you for help – Jan Černý Jan 12 at 15:47

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.